petsc-3.15.0 2021-03-30
Report Typos and Errors

# TaoSetLMVMMatrix

Sets an external LMVM matrix into the Tao solver. Valid only for quasi-Newton family of methods.

### Synopsis

    #include "petsctao.h"
    #include "petscmat.h"
    PetscErrorCode TaoSetLMVMMatrix(Tao tao, Mat B)

QN family of methods create their own LMVM matrices and users who wish to manipulate this matrix should use TaoGetLMVMMatrix() instead.

### Input Parameters

| tao | - Tao solver context
| B | - LMVM matrix

### See Also

TAOBQNLS, TAOBQNKLS, TAOBQNKTL, TAOBQNKTR, MATLMVM, TaoGetLMVMMatrix()

### Level

advanced

### Location

src/tao/bound/impls/bqnk/bqnk.c
Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages